package be.iminds.ilabt.jfed.experimenter_gui.preferences;

import javafx.scene.Node;
import javafx.scene.control.Label;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * AbstractPreferencesSubPane
 */
public abstract class AbstractPreferencesSubPane implements PreferencesSubPane  {
    private static final Logger LOG = LoggerFactory.getLogger(AbstractPreferencesSubPane.class);


    protected final Label listLabel;
    protected final boolean advanced;

    protected AbstractPreferencesSubPane(String subSectionName, boolean advanced) {

        this.advanced = advanced;
        listLabel = new Label(subSectionName);
    }

    @Override
    public abstract Node getRoot();

    @Override
    public Label getListLabel() {
        return listLabel;
    }

    @Override
    public boolean isAdvanced() {
        return advanced;
    }
}
